DPFITT(3)

SYNOPSIS
SUBROUTINE DPFITT (LUN, KPRINT, IPASS)

NAME
dpfitt - Quick check for DPOLFT, DPCOEF and DP1VLU.

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (PFITQX-S, DPFITT-D)

AUTHOR
(UNKNOWN)

ROUTINES CALLED
D1MACH, DCMPAR, DP1VLU, DPCOEF, DPOLFT, PASS, XERCLR, XGETF, XSETF

COMMON BLOCKS
DCHECK

REVISION HISTORY (YYMMDD)
?????? DATE WRITTEN
890911 Removed unnecessary intrinsics. (WRB)
890921 Realigned order of variables in the COMMON block. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900911 Test problem changed and cosmetic changes to code. (WRB)
901205 Changed usage of D1MACH(3) to D1MACH(4) and modified the FORMATs. (RWC)
910708 Minor modifications in use of KPRINT. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900911 Test problem changed and cosmetic changes to code. (WRB)
920214 Code restructured to test for all values of KPRINT and to provide more PASS/FAIL information. (WRB)